Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158408 - skencil crashes on start
Summary: skencil crashes on start
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: skencil
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gérard Milmeister
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 156245
Blocks: FE4Target
TreeView+ depends on / blocked
 
Reported: 2005-05-22 00:25 UTC by Horst H. von Brand
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-28 22:03:50 UTC


Attachments (Terms of Use)

Description Horst H. von Brand 2005-05-22 00:25:30 UTC
Description of problem:
Starting skencil gives just a Python traceback

Version-Release number of selected component (if applicable):
skencil-0.6.16-2

How reproducible:
Always

Steps to Reproduce:
1. Start skencil
2.
3.
  
Actual results:
Crash. Backtrace is:
Traceback (most recent call last):
  File "/usr/bin/skencil", line 34, in ?
    Sketch.main.main()
  File "/usr/lib/skencil-0.6.16/Sketch/Base/main.py", line 148, in main
    run_script = options.run_script)
  File "/usr/lib/skencil-0.6.16/Sketch/UI/skapp.py", line 181, in __init__
    geometry = geometry)
  File "/usr/lib/skencil-0.6.16/Sketch/UI/skapp.py", line 100, in __init__
    self.init_tk(screen_name, geometry)
  File "/usr/lib/skencil-0.6.16/Sketch/UI/skapp.py", line 210, in init_tk
    geometry = geometry)
  File "/usr/lib/skencil-0.6.16/Sketch/UI/skapp.py", line 105, in init_tk
    className = self.tk_class_name)
  File "/usr/lib/python2.4/lib-tk/Tkinter.py", line 1569, in __init__
    self.tk = _tkinter.create(screenName, baseName, className, interactive,
wantobjects, useTk, sync, use)
TypeError: function takes at most 4 arguments (8 given)


Expected results:
Anything else...

Additional info:

Comment 1 Horst H. von Brand 2005-05-22 00:27:54 UTC
If it helps:

tkinter-2.4.1-2
python-2.4.1-2

Comment 2 Jeremy Katz 2005-05-26 19:08:13 UTC
Added patch from upstream to fix with python 2.4

Comment 3 Horst H. von Brand 2005-05-26 21:36:18 UTC
Nope. Same crash:

[vonbrand@laptop11 ~]$ skencil
Traceback (most recent call last):
  File "/usr/bin/skencil", line 34, in ?
    Sketch.main.main()
  File "/usr/lib/skencil-0.6.16/Sketch/Base/main.py", line 148, in main
    run_script = options.run_script)
  File "/usr/lib/skencil-0.6.16/Sketch/UI/skapp.py", line 181, in __init__
    geometry = geometry)
  File "/usr/lib/skencil-0.6.16/Sketch/UI/skapp.py", line 100, in __init__
    self.init_tk(screen_name, geometry)
  File "/usr/lib/skencil-0.6.16/Sketch/UI/skapp.py", line 210, in init_tk
    geometry = geometry)
  File "/usr/lib/skencil-0.6.16/Sketch/UI/skapp.py", line 105, in init_tk
    className = self.tk_class_name)
  File "/usr/lib/python2.4/lib-tk/Tkinter.py", line 1569, in __init__
    self.tk = _tkinter.create(screenName, baseName, className, interactive,
wantobjects, useTk, sync, use)
TypeError: function takes at most 4 arguments (8 given)

Comment 4 Horst H. von Brand 2005-05-28 22:03:50 UTC
Strangely, it now does work. Perhaps a reboot was needed?

skencil-0.6.16-6
python-imaging-1.1.4-9
tkinter-2.4.1-2



Note You need to log in before you can comment on or make changes to this bug.